All Classes Namespaces Functions Variables Pages
VariableVerletIntegrator Class Reference

This is an error contolled, variable time step Integrator that simulates a System using the leap-frog Verlet algorithm. More...

Inheritance diagram for VariableVerletIntegrator:

## Public Member Functions

def | getErrorTolerance
| getErrorTolerance(VariableVerletIntegrator self) -> double More...
def | setErrorTolerance
| setErrorTolerance(VariableVerletIntegrator self, double tol) More...
def | step
| step(VariableVerletIntegrator self, int steps) More...
def | stepTo
| stepTo(VariableVerletIntegrator self, double time) More...
def | __init__
| init(OpenMM::VariableVerletIntegrator self, double errorTol) -> VariableVerletIntegrator init(OpenMM::VariableVerletIntegrator self, VariableVerletIntegrator other) -> VariableVerletIntegrator More...
def | __del__
| del(OpenMM::VariableVerletIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is an error contolled, variable time step Integrator that simulates a System using the leap-frog Verlet algorithm.

It compares the result of the Verlet integrator to that of an explicit Euler integrator, takes the difference between the two as a measure of the integration error in each time step, and continuously adjusts the step size to keep the error below a specified tolerance. This both improves the stability of the integrator and allows it to take larger steps on average, while still maintaining comparable accuracy to a fixed step size integrator.

It is best not to think of the error tolerance as having any absolute meaning. It is just an adjustable parameter that affects the step size and integration accuracy. You should try different values to find the largest one that produces a trajectory sufficiently accurate for your purposes. 0.001 is often a good starting point.

Unlike a fixed step size Verlet integrator, variable step size Verlet is not symplectic. This means that at a given accuracy level, energy is not as precisely conserved over long time periods. This makes it most appropriate for constant temperate simulations. In constant energy simulations where precise energy conservation over long time periods is important, a fixed step size Verlet integrator may be more appropriate.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::VariableVerletIntegrator self, double errorTol) -> VariableVerletIntegrator init(OpenMM::VariableVerletIntegrator self, VariableVerletIntegrator other) -> VariableVerletIntegrator

Create a VariableVerletIntegrator.

Parameters

  errorTol | the error tolerance

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::VariableVerletIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

getErrorTolerance(VariableVerletIntegrator self) -> double

Get the error tolerance.

References simtk.openmm.openmm.stripUnits().

def setErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

setErrorTolerance(VariableVerletIntegrator self, double tol)

Set the error tolerance.

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(VariableVerletIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

def stepTo | ( |  | self,
|  |  | args
| ) |  |

stepTo(VariableVerletIntegrator self, double time)

Advance a simulation through time by taking a series of steps until a specified time is reached. When this method returns, the simulation time will exactly equal the time which was specified. If you call this method and specify a time that is earlier than the current time, it will return without doing anything.

Parameters

  time | the time to which the simulation should be advanced

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py